Skip to main content
POST
/
payments
/
invoice
/
{invoice_id}
/
charge
Create invoice charge
curl --request POST \
  --url https://api.zenskar.com/payments/invoice/{invoice_id}/charge \
  --header 'Content-Type: application/json' \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "connector": {
    "name": "<string>",
    "reference_id": "<string>"
  },
  "source": "<string>",
  "payment_method_types": [
    "<string>"
  ],
  "skip_invoice_due_date_check": true
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

invoice_id
string<uuid>
required

Body

application/json

Create Invoice Charge Request Schema

connector
Connector · object

Connector

source
string | null
payment_method_types
string[] | null
skip_invoice_due_date_check
boolean | null

Response

Successful Response